Package fr.gouv.vitam.common.security.rest

# Class EndpointInfo

java.lang.Object
fr.gouv.vitam.common.security.rest.EndpointInfo

public class EndpointInfo extends Object
REST endpoint information

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EndpointInfo()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `String[]`
  `getConsumedMediaTypes()`
  `String`
  `getDescription()`
  `String`
  `getEndpoint()`
  `String`
  `getPermission()`
  `String[]`
  `getProducedMediaTypes()`
  `String`
  `getVerb()`
  `int`
  `hashCode()`
  `void`
  `setConsumedMediaTypes(String[] consumedMediaTypes)`
  `void`
  `setDescription(String description)`
  `void`
  `setEndpoint(String endpoint)`
  `void`
  `setPermission(String permission)`
  `void`
  `setProducedMediaTypes(String[] producedMediaTypes)`
  `void`
  `setVerb(String verb)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EndpointInfo

    public EndpointInfo()

- ## Method Details

  - ### getPermission

    public String getPermission()

  - ### setPermission

    public void setPermission(String permission)

  - ### getVerb

    public String getVerb()

  - ### setVerb

    public void setVerb(String verb)

  - ### getEndpoint

    public String getEndpoint()

  - ### setEndpoint

    public void setEndpoint(String endpoint)

  - ### getConsumedMediaTypes

    public String[] getConsumedMediaTypes()

  - ### setConsumedMediaTypes

    public void setConsumedMediaTypes(String[] consumedMediaTypes)

  - ### getProducedMediaTypes

    public String[] getProducedMediaTypes()

  - ### setProducedMediaTypes

    public void setProducedMediaTypes(String[] producedMediaTypes)

  - ### getDescription

    public String getDescription()

  - ### setDescription

    public void setDescription(String description)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`